EXT_SQL_SESSION_ACL(1)

NAME
ext_sql_session_acl.pl - SQL Database session lookup helper for Squid

SYNOPSIS
ext_sql_session_acl [options]

DESCRIPTION
Validates an HTTP requests access authorization with a session database.

Taking an identity token to be validated (as determined by the external_acl_type format) it returns a username or tag associated with the identity token passed in.

Common forms of identifiers are IP address, EUI (MAC) address, passwords, or UUID tokens.

This program uses Squid concurrency support.

--dsn
    Database DSN. Default "DBI:mysql:database=squid"

--user
    Database User

--password
    Database password

--table
    Database table. Default "passwd".

--uidcol
    Unique Session Identifier column. Default "id".

--usercol
    External ACL user= result column.

--tagcol
    External ACL tag= result column.

--cond
    Condition, defaults to enabled=1. Specify 1 or "" for no condition

--persist
    Keep a persistent database connection open between queries.

--debug
    Print Debug output traces to stderr.

COPYRIGHT
Copyright (C) 2012 Amos Jeffries <amosjeffries@squid-cache.org> Based on original work in DB_auth by Henrik Nordstrom <henrik@henriknordstrom.net> With assistance of Nishant Sharma <codemarauder@gmail.com> This program is free software. You may redistribute copies of it under the terms of the GNU General Public License version 2, or (at your opinion) any later version.